<template>
  <div class="contract">
    <h4 class="page-title mb-6" v-text="$t('pilotPanel.contract.title')" />

    <vx-card class="mb-6 pt-4 pb-2" style="min-height: 170px">
      <div class="vx-row w-full">
        <div
          class="vx-col w-full sm:w-1/2"
        >You will be able to sign this contract when the project starts</div>
        <div class="vx-col w-full sm:w-1/2 sign-container">
          <span v-if="!loading">
            <b
              class="signed-label"
            >{{ true ? $t('pilotPanel.contract.signedLabel') : $t('pilotPanel.contract.unsignedLabel') }}</b>
            <img v-if="true" class="signed-img" src="@/assets/images/checked.svg" />
            <img v-else class="signed-img" src="@/assets/images/unchecked.svg" />
          </span>
        </div>
      </div>
      <vs-divider />

      <div class="vx-row w-full mt-6">
        <div class="vx-col w-full">
          <d-pending style="margin-top: 20px;" :on="loading">
            <pre style="white-space:pre-wrap; font-size: 15px;">{{ contract }}</pre>
          </d-pending>
        </div>
      </div>

      <div v-if="true && !loading">
        <vs-divider />
        <vs-checkbox v-model="agree">{{ $t('pilotPanel.contract.signCheckBox') }}</vs-checkbox>
      </div>
    </vx-card>
  </div>
</template>

<script lang="ts">
import api from "@/api/contract.api.ts";
import { Component, Vue, Watch } from "vue-property-decorator";
import { DInput, DDate, DPending } from "@/components/d-elements";

@Component({
  components: {
    DDate,
    DInput,
    DPending
  }
})
export default class Contract extends Vue {
  private loading = false;
  private agree = false;
  private contract = "";

  created() {
    this.getContract();
  }

  private async getContract() {
    await api.getContract().then(response => {
      this.contract = response.data.contract;
      this.agree = response.data.signed;
    });
  }

  private async signContract() {
    await api.signContract().then(response => {
      if (response.status === 200) {
        this.$store.dispatch("appState/showAlert", {
          mode: "success",
          title: this.$t("notifications.successfully"),
          text: this.$t("pilotPanel.contract.signed")
        });
      }
    });
  }

  @Watch("agree")
  agreeChanged(val) {
    if (val) {
      this.signContract();
    }
  }
}
</script>

<style lang="scss">
.contract {
  .signed-img {
    position: relative;
    width: 18px;
    top: 4px;
    display: inline-block !important;
  }

  .signed-label {
    margin-right: 7px;
  }

  .sign-container {
    text-align: right;
  }

  @media (max-width: 576px) {
    .sign-container {
      text-align: center;
    }
  }
}
</style>